summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2022-01-23 09:47:39 +0200
committerLars Wirzenius <liw@liw.fi>2022-01-23 09:47:39 +0200
commit0945ac942cbf31547a8ed039338fd05b081687ad (patch)
tree35c1f0ea2f11c883e05da92484222f144d67465f
parent304a0cea93b77fd0ee32f0a6003e078200df368e (diff)
downloadansibleness-0945ac942cbf31547a8ed039338fd05b081687ad.tar.gz
script to create all VMs on exolobe5
Sponsored-by: author
-rw-r--r--vmadm/exolobe5.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/vmadm/exolobe5.sh b/vmadm/exolobe5.sh
new file mode 100644
index 0000000..b88b88e
--- /dev/null
+++ b/vmadm/exolobe5.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -euo pipefail
+
+specs="
+apt-dev.yaml
+clab-dev.yaml
+debian-ansible-dev.yaml
+ewww-dev.yaml
+ewww-test.yaml
+ick2-dev.yaml
+obnam-bench.yaml
+obnam-dev.yaml
+openpgp-ca-dev.yaml
+python-mess.yaml
+roadmap-dev.yaml
+rust-dev.yaml
+sequoia-dev.yaml
+sequoia-web.yaml
+sshca-dev.yaml
+subplot-dev.yaml
+vmadm-dev.yaml
+vmdb2-dev.yaml
+"
+
+for spec in $specs; do
+ vmadm delete "$spec"
+ vmadm new "$spec"
+done